function RDSDK(callback,callbackObj){
    var obj = new Object();
    obj.getParam= function(paramName) {
        var paramValue = "", isFound = !1;
        if (window.location.search.indexOf("?") == 0 &&window.location.search.indexOf("=") > 1) {
            var arrSource = unescape(window.location.search).substring(1, window.location.search.length).split("&"), i = 0;
            while (i < arrSource.length && !isFound) arrSource[i].indexOf("=") > 0 && arrSource[i].split("=")[0].toLowerCase() == paramName.toLowerCase() && (paramValue = arrSource[i].split("=")[1], isFound = !0), i++;
        }
        return paramValue == "" && (paramValue = null),paramValue;
    }

    obj.isDebug = function(){
        var param = obj.getParam("debug");
        return param === "true"?true:false;
    }

    

    /**
     * 初始化
     * @param channel_id 渠道ID
     */
    obj.init= function(channel_id){
        var channel_id = channel_id || 2001;
        obj.channel_id = channel_id;
        window.baseUrl = obj.baseUrl;
        MiniSite.JsLoader.load(obj.baseUrl+"sdk/channel/C"+obj.channel_id+".js",function(){
            obj.channelInst = new window['C'+obj.channel_id](obj);
            console.log("init with "+obj.channelInst.name);
            obj.channelInst.init();
            obj.onEvent = obj.channelInst.onEvent;
        },obj);
    }

    /**
     * 准备完成后触发
     */
    obj.ready= function(callback,callbackObj){
        obj.readyCallback = callback;
        obj.readyCallbackObj = callbackObj;
    }

    

    /**
     * 获取用户信息
     * @param {Object} config 相关设置.
     * @param {Function} cb   获取成功后的回调
     */
    obj.getUserInfo= function(config,cb){
        obj.userInfoCallBack = cb;
        // 获取APP信息
        console.info("正在验证APP信息...");

        var url= obj.baseUrl + "/index.php/user/api/APPIDInfo/";
        config.channel_id =  obj.channel_id;
        var p = JSON.stringify(config);
        var data=JSON.stringify({'data':'{"mod":"user","do":"api.APPIDInfo","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                console.info("验证成功!APP_DATA:");
                console.info(result);
                obj.app_id = result.data.id;
                obj.game_id = result.data.game_id;
                obj.signkey = result.data.signkey;
                obj.game_login_url = result.data.loginUrl;
                obj.app_info = JSON.parse(result.data.info);

                obj.reportPV();
                obj._channelUserInfo(config);
                obj._tryOpenConsole(obj.app_info);
            }else if(result.errCode == 1003) {
                console.log("渠道维护中");
                MiniSite.notice("维护信息", result.error);
            }else{
                console.error(result.error);
            }
        },obj)
    }

    /**
     * 用户充值
     * @param {Object} config 相关设置.
     * @param {Function} cb   获取成功后的回调
     */
    obj.recharge= function(config,cb){
        obj.rechargeCallBack = cb;
        obj.pay_type = config.pay_type;
        // 获取APP信息
        console.info("正在验证APP信息...");
        config.channel_id =  obj.channel_id;

        var url= obj.baseUrl + "/index.php/user/api/APPIDInfo/";
        var p = JSON.stringify(config);
        var data=JSON.stringify({'data':'{"mod":"user","do":"api.APPIDInfo","p":'+p+'}',"h":""});
        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                console.info("验证成功!APP_DATA:");
                console.info(result);
                obj.app_id = result.data.id;
                obj.game_id = result.data.game_id;
                obj.game_login_url = result.data.loginUrl;
                obj.signkey = result.data.signkey;
                obj.app_info = JSON.parse(result.data.info);
                obj._createOrder(config);
            }else{
                console.error(result.error);
            }
        },obj)
    }

    /**
     * 渠道分享判断
     * 本渠道是否支持分享 支持返回true,不支持返回false
     */
     obj.hasSharingMethod= function(callback){
        // 获取channel表share信息
        console.info("正在验证是否支持分享...");

        var url= obj.baseUrl + "/index.php/channel/api/ChannelShare/";
        var p = JSON.stringify({channel_id:obj.channel_id});
        var data=JSON.stringify({'data':'{"mod":"channel","do":"api.ChannelShare","p":'+p+'}',"h":""});
        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                callback(result.data == 1?true:false);
            }else{
                alert(result.error);
            }
        },obj)
    }

    /* 
    ** （闪屏）
     */
    obj.hideSplash = function(){
        console.log("channel_inst do hideSplash...");
        try {
            if(typeof obj.channelInst.hideSplash === "function") { //是函数    其中 FunName 为函数名称
                 obj.channelInst.hideSplash();
            }else{
                console.info('hideSplash不是函数',typeof obj.channelInst.hideSplash);
            }
        } catch(e) {
            console.log('e---',e);
        }
    }

    /**
     * 用户分享
     */
     obj.share= function(config,callback){
        console.log("channel_inst do share...");
        obj.channelInst.share(config,function(res)  {
            console.info("share.res..",res);
        });
    }

    /**
     * 本渠道是否支持关注 支持返回true,不支持返回false
     */
    obj.hasInterestMethod= function(callback){
        // 获取channel表interest信息
        console.info("正在验证是否支持关注...");

        var url= obj.baseUrl + "/index.php/channel/api/ChannelInterest/";
        var p = JSON.stringify({channel_id:obj.channel_id});
        var data=JSON.stringify({'data':'{"mod":"channel","do":"api.ChannelInterest","p":'+p+'}',"h":""});
        obj.send(url,data,function(result){
            result = JSON.parse(result);
            if(result.errCode == 0){
                callback(result.data == 1?true:false);
            }else{
                alert(result.error);
            }
        },obj)
    }

    /**
     * 检测用户是否关注公众号 是返回true,否返回false
     */
    obj.hasInterested= function(config,callback){
        // 获取channel表interest信息
        console.info("检测用户是否关注公众号...");
        obj.channelInst.hasInterested(config,function(res)  {
            console.info("hasinterest.res..",res);
            callback(res);
        });

    }

    /**
     * 用户关注
     */
    obj.interest= function(){
        console.log("channel_inst do interest...");
        obj.channelInst.interest();
    }

    /**
     * 敏感词屏蔽
     */
    obj.sensitiveWords= function(config,callback){
        if(!obj.wgcWords){
            obj.channelInst.sensitiveWords(config,function(res)  {
                console.info("sensitiveWords.res..",obj.wgcWords);
                callback(res);
            });
        }else{
            callback(true);
        }
    }

    /**
     * 激活数据上报
     */
    obj.reportPV= function(){
        var url= obj.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":obj.app_id
            ,"channel_id":obj.channel_id
            ,"key":"pv"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            console.log("report ok");
        },obj)

        console.info("接收激活...");
        try {
            if(typeof obj.channelInst.reportPV === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportPV();
            }
        } catch(e) {}

    }

    /**
     * 创角数据上报
     */
    obj.reportRoleCreate= function(){
        var url= obj.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":obj.app_id
            ,"channel_id":obj.channel_id
            ,"key":"roleCreate"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            console.log("report ok");
        },obj)

        console.info("接收创角...");
        try {
            if(typeof obj.channelInst.reportRoleCreate === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportRoleCreate();
            }
        } catch(e) {}


    }

    /**
     * 活跃数据上报
     */
    obj.reportRoleActive= function(){
        var url= obj.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":obj.app_id
            ,"channel_id":obj.channel_id
            ,"key":"roleActive"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        obj.send(url,data,function(result){
            console.log("report ok");
        },obj)
        console.info("接收活跃...");
        try {
            if(typeof obj.channelInst.reportRoleActive === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportRoleActive();
            }
        } catch(e) {}

    }

    /**
     * 接收角色上报
     */
    obj.reportRoleInformation= function(config,callback){
        console.info("角色上报...");
        try {
            if(typeof obj.channelInst.reportRoleInformation === "function") { //是函数    其中 FunName 为函数名称
                obj.channelInst.reportRoleInformation(config,function(res)  {
                    console.info("reportRoleInformation.res..",res);
                    callback(res);
                });
            }
        } catch(e) {}
    }

    /**
     * 完成新手引导
     */
    obj.completeNoviceGuide= function(){
        try {
            if(typeof obj.channelInst.completeNoviceGuide === "function") {
                obj.channelInst.completeNoviceGuide();
            }
        } catch(e) {}
    }

    /**
     * 首次充值
     */
    obj.firstRecharge= function(){
        try {
            if(typeof obj.channelInst.firstRecharge === "function") {
                obj.channelInst.firstRecharge();
            }
        } catch(e) {}
    }

    /**
     * 首次登录
     */
    obj.firstLogin= function(){
        try {
            if(typeof obj.channelInst.firstLogin === "function") {
                obj.channelInst.firstLogin();
            }
        } catch(e) {}
    }

    /**
     * 播放广告
     */
    obj.broadcastAd= function(config,callback){
        obj.channelInst.broadcastAd(config,function(res)  {
            console.info("broadcastAd.res..",res);
            callback(res);
        });
    }

    /**
     * 打开VConsole
     * @param {Object} app_info
     */
    obj._tryOpenConsole= function(app_info){
        // console.log("app_info",app_info);
        var vConsoleObj = app_info.vConsole;
        console.log("vConsoleObj",vConsoleObj);
        if(!vConsoleObj)return;
        var isOpen = vConsoleObj.open == true?true:false;
        var channel_ids = vConsoleObj.channel_ids;
        if(!isOpen || !channel_ids)return;
        if(isOpen){
            if(channel_ids.indexOf(obj.channel_id) >= 0){
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/jquery.min.js");
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/jquery.cookie.js");
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/zepto.touch.min.js");
                MiniSite.JsLoader.load(obj.baseUrl+"sdk/vconsole.min.js",function(){
                    // 初始化vConsole
                    window.vConsole = new window.VConsole({
                        defaultPlugins: ['system', 'network', 'element', 'storage'], // 可以在此设定要默认加载的面板
                        maxLogNumber: 1000,
                        // disableLogScrolling: true,
                        onReady: function() {
                            console.log('vConsole is ready.');
                        },
                        onClearLog: function() {
                            console.log('on clearLog');
                        }
                    });
                },obj);
            }
        }
    }

    /**
     * 创建订单
     */
    obj._createOrder= function(config){
        //////////鉴权//////////////////////////////////////////////////////////////////////////////////////////
        var authUrl = obj.baseUrl + "/index.php/user/api/AuthEntication/";
        var paramUrl = {
            channel_id:obj.channel_id,
            game_id:obj.app_id
        };
        if(!config.uuid || !config.price){
            alert("身份丢失");
            return false;
        }
        var pUrl = JSON.stringify(paramUrl);
        var dataUrl=JSON.stringify({'data':'{"mod":"user","do":"api.AuthEntication","p":'+pUrl+'}',"h":""});
        obj.send(authUrl,dataUrl,function(results){
            var auth = JSON.parse(results);
            ////////////////////////////////////
            if(auth.data == 0){
                var url= obj.baseUrl + "/index.php/pay/order/create/";
                var param = {
                    APPID:obj.app_id,
                    uuid:config.uuid,
                    pay_type:obj.pay_type,
                    cp_out_order_no:config.out_order_no,
                    channel_id:obj.channel_id,
                    price:config.price
                };
                console.info("正在创建订单... param:",obj.RDPAYS);
                var paymod = obj.getParam('paymod');

                if(obj.RDPAYS){
                    var userUrl= obj.baseUrl + "/index.php/user/api/getUserPosition/";
                    var uP = JSON.stringify(param);
                    var datas = JSON.stringify({'data':'{"mod":"user","do":"api.getUserPosition","p":'+uP+'}',"h":""});
                    obj.send(userUrl,datas,function(result){
                        result = JSON.parse(result);
                        if(result.errCode == 0 && result.data.city){
                            window.returnCitySN = result.data.province + result.data.city;
                        }
                        obj.RDPAYSRES = getPayType(obj.RDPAYS,config.price,obj.RDPAYSOS);
                        if(!obj.RDPAYSRES && paymod){
                            paymod = null;
                        }
                        console.log("paymod1:",paymod);
                        if (paymod) {
                            var judge = paymod.search("none");
                            if (paymod.search("none") == -1) {
                                judge = 0;
                            } else {
                                judge = 1;
                            }
                        } else {
                            var judge = 0;
                        }

                        console.log("judge:",judge);
                        if(obj.pay_type == "select" && !judge){
                            console.info("obj.pay_type：",obj.pay_type);
                            MiniSite.loadPayBox(config.price,function(type){
                                obj.pay_type = type;
                                param.pay_type = obj.pay_type;
                                console.info("订单参数:"+JSON.stringify(param));

                                console.log(param);
                                var signature = obj.signHashHmac(param,atob(obj.signkey));
                                param.sign = signature;

                                var p = JSON.stringify(param);
                                var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                obj.send(url,data,function(result){
                                    result = JSON.parse(result,true);
                                    if(result.errCode == 0){
                                        console.info("订单创建成功!order_data:");
                                        console.info(result.data);
                                        config['rd_order_no'] = result.data['order'].rd_order_no;
                                        config['state'] = result.data['order'].state;
                                        config['open_id'] = result.data['user'].username.split("gameid")[0];
                                        console.info(config);
                                        obj._channelRecharge(config);
                                    }else{
                                        console.error(result.error);
                                    }
                                },obj)
                            },obj);
                        }else{
                            console.info("订单参数:"+JSON.stringify(param));

                            var signature = obj.signHashHmac(param,atob(obj.signkey));
                            param.sign = signature;
                            console.log(param);
                            var p = JSON.stringify(param);
                            var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                            obj.send(url,data,function(result){
                                result = JSON.parse(result);
                                if(result.errCode == 0){
                                    console.info("订单创建成功!order_data:");
                                    console.info(result);
                                    config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                    config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                    config['state'] = result.data['order'].state;//燃点订单的状态
                                    console.info(config);
                                    obj._channelRecharge(config);
                                }else{
                                    console.error(result.error);
                                }
                            },obj)
                        }

                    },obj);
                }else{

                    console.log("paymod2:",paymod);
                    if (paymod) {
                        var judge = paymod.search("none");
                        if (paymod.search("none") == -1) {
                            judge = 0;
                        } else {
                            judge = 1;
                        }
                    } else {
                        var judge = 0;
                    }

                    console.log("judge:",judge);
                    if(obj.pay_type == "select" && !judge){
                        console.info("obj.pay_type：",obj.pay_type);
                        MiniSite.loadPayBox(config.price,function(type){
                            obj.pay_type = type;
                            param.pay_type = obj.pay_type;
                            console.info("订单参数:"+JSON.stringify(param));

                            console.log(param);
                            var signature = obj.signHashHmac(param,atob(obj.signkey));
                            param.sign = signature;

                            var p = JSON.stringify(param);
                            var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                            obj.send(url,data,function(result){
                                result = JSON.parse(result,true);
                                if(result.errCode == 0){
                                    console.info("订单创建成功!order_data:");
                                    console.info(result.data);
                                    config['rd_order_no'] = result.data['order'].rd_order_no;
                                    config['state'] = result.data['order'].state;
                                    config['open_id'] = result.data['user'].username.split("gameid")[0];
                                    console.info(config);
                                    obj._channelRecharge(config);
                                }else{
                                    console.error(result.error);
                                }
                            },obj)
                        },obj);
                    }else{
                        console.info("订单参数:"+JSON.stringify(param));

                        var signature = obj.signHashHmac(param,atob(obj.signkey));
                        param.sign = signature;
                        console.log(param);
                        var p = JSON.stringify(param);
                        var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                        obj.send(url,data,function(result){
                            result = JSON.parse(result);
                            if(result.errCode == 0){
                                console.info("订单创建成功!order_data:");
                                console.info(result);
                                config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                config['state'] = result.data['order'].state;//燃点订单的状态
                                console.info(config);
                                obj._channelRecharge(config);
                            }else{
                                console.error(result.error);
                            }
                        },obj)
                    }
                }
            }else{
                var orderUrl = obj.baseUrl + "/index.php/user/api/AuthOrder/";
                var orde = {
                    uuid: config.uuid,
                    amount: config.price
                };
                var orderP = JSON.stringify(orde);
                var orderData = JSON.stringify({'data':'{"mod":"user","do":"api.AuthOrder","p":'+orderP+'}',"h":""});
                obj.send(orderUrl,orderData,function(orderres){
                    orderres = JSON.parse(orderres);
                    console.log(orderres.data.state);
                    if(orderres.data.state == 2){ //未成年玩家充值限值
                        MiniSite.authOrder();
                    }else if(orderres.data.state == 3){     //游客限制充值
                        var authFormData = [];
                        authFormData.uuid = config.uuid;
                        authFormData.app_id = obj.app_id;
                        authFormData.channel_id = obj.channel_id;
                        authFormData.time = orderres.data.time;
                        authFormData.sign = orderres.data.sign;
                        console.log("游客限额支付 实名认证", authFormData);
                        MiniSite.authFormYk(obj,authFormData, 1, "您当前是游客身份，实名后方能购买",1, function(res){
                            // console.log("游客限额支付 实名认证 成功后回调", res);
                            // if(res==1){
                            //     obj._createOrder(config);    //这里涉及到渠道文件里还是游客状态。产生的连锁问题，不如直接刷新重新登录，以及游客防沉迷关闭
                            // }
                            window.location.reload();
                        });  //未进行实名认证
                    }else{
                        // 获取APP信息
                        var url= obj.baseUrl + "/index.php/pay/order/create/";
                        var param = {
                            APPID:obj.app_id,
                            uuid:config.uuid,
                            pay_type:obj.pay_type,
                            cp_out_order_no:config.out_order_no,
                            channel_id:obj.channel_id,
                            price:config.price
                        };
                        console.info("正在创建订单... param:",obj.RDPAYS);
                        var paymod = obj.getParam('paymod');

                        if(obj.RDPAYS){
                            var userUrl= obj.baseUrl + "/index.php/user/api/getUserPosition/";
                            var uP = JSON.stringify(param);
                            var datas = JSON.stringify({'data':'{"mod":"user","do":"api.getUserPosition","p":'+uP+'}',"h":""});
                            obj.send(userUrl,datas,function(result){
                                result = JSON.parse(result);
                                if(result.errCode == 0 && result.data.city){
                                    window.returnCitySN = result.data.province + result.data.city;
                                }
                                obj.RDPAYSRES = getPayType(obj.RDPAYS,config.price,obj.RDPAYSOS);
                                if(!obj.RDPAYSRES && paymod){
                                    paymod = null;
                                }
                                console.log("paymod1:",paymod);
                                if (paymod) {
                                    var judge = paymod.search("none");
                                    if (paymod.search("none") == -1) {
                                        judge = 0;
                                    } else {
                                        judge = 1;
                                    }
                                } else {
                                    var judge = 0;
                                }

                                console.log("judge:",judge);
                                if(obj.pay_type == "select" && !judge){
                                    console.info("obj.pay_type：",obj.pay_type);
                                    MiniSite.loadPayBox(config.price,function(type){
                                        obj.pay_type = type;
                                        param.pay_type = obj.pay_type;
                                        console.info("订单参数:"+JSON.stringify(param));

                                        console.log(param);
                                        var signature = obj.signHashHmac(param,atob(obj.signkey));
                                        param.sign = signature;

                                        var p = JSON.stringify(param);
                                        var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                        obj.send(url,data,function(result){
                                            result = JSON.parse(result,true);
                                            if(result.errCode == 0){
                                                console.info("订单创建成功!order_data:");
                                                console.info(result.data);
                                                config['rd_order_no'] = result.data['order'].rd_order_no;
                                                config['state'] = result.data['order'].state;
                                                config['open_id'] = result.data['user'].username.split("gameid")[0];
                                                console.info(config);
                                                obj._channelRecharge(config);
                                            }else{
                                                console.error(result.error);
                                            }
                                        },obj)
                                    },obj);
                                }else{
                                    console.info("订单参数:"+JSON.stringify(param));

                                    var signature = obj.signHashHmac(param,atob(obj.signkey));
                                    param.sign = signature;
                                    console.log(param);
                                    var p = JSON.stringify(param);
                                    var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                    obj.send(url,data,function(result){
                                        result = JSON.parse(result);
                                        if(result.errCode == 0){
                                            console.info("订单创建成功!order_data:");
                                            console.info(result);
                                            config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                            config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                            config['state'] = result.data['order'].state;//燃点订单的状态
                                            console.info(config);
                                            obj._channelRecharge(config);
                                        }else{
                                            console.error(result.error);
                                        }
                                    },obj)
                                }

                            },obj);
                        }else{

                            console.log("paymod2:",paymod);
                            if (paymod) {
                                var judge = paymod.search("none");
                                if (paymod.search("none") == -1) {
                                    judge = 0;
                                } else {
                                    judge = 1;
                                }
                            } else {
                                var judge = 0;
                            }

                            console.log("judge:",judge);
                            if(obj.pay_type == "select" && !judge){
                                console.info("obj.pay_type：",obj.pay_type);
                                MiniSite.loadPayBox(config.price,function(type){
                                    obj.pay_type = type;
                                    param.pay_type = obj.pay_type;
                                    console.info("订单参数:"+JSON.stringify(param));

                                    console.log(param);
                                    var signature = obj.signHashHmac(param,atob(obj.signkey));
                                    param.sign = signature;

                                    var p = JSON.stringify(param);
                                    var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                    obj.send(url,data,function(result){
                                        result = JSON.parse(result,true);
                                        if(result.errCode == 0){
                                            console.info("订单创建成功!order_data:");
                                            console.info(result.data);
                                            config['rd_order_no'] = result.data['order'].rd_order_no;
                                            config['state'] = result.data['order'].state;
                                            config['open_id'] = result.data['user'].username.split("gameid")[0];
                                            console.info(config);
                                            obj._channelRecharge(config);
                                        }else{
                                            console.error(result.error);
                                        }
                                    },obj)
                                },obj);
                            }else{
                                console.info("订单参数:"+JSON.stringify(param));

                                var signature = obj.signHashHmac(param,atob(obj.signkey));
                                param.sign = signature;
                                console.log(param);
                                var p = JSON.stringify(param);
                                var data = JSON.stringify({'data':'{"mod":"pay","do":"order.create","p":'+p+'}',"h":""});
                                obj.send(url,data,function(result){
                                    result = JSON.parse(result);
                                    if(result.errCode == 0){
                                        console.info("订单创建成功!order_data:");
                                        console.info(result);
                                        config['rd_order_no'] = result.data['order'].rd_order_no;//燃点的订单号
                                        config['open_id'] = result.data['user'].username.split("gameid")[0];//燃点用户的openid
                                        config['state'] = result.data['order'].state;//燃点订单的状态
                                        console.info(config);
                                        obj._channelRecharge(config);
                                    }else{
                                        console.error(result.error);
                                    }
                                },obj)
                            }
                        }
                    }
                },obj);
            }
        },obj);
    }

    /**
     * 根据channel_id分别获取对应渠道的获取用户方法
     */
    obj._channelUserInfo=function(config){
        var open_id,name,avatar;
        var that = obj;
        console.log("channel_inst do getUserInfo...",obj.channelInst);
        obj.channelInst.getUserInfo(function(res)  {
            open_id = res.open_id;
            name    = res.name;
            avatar  = res.avatar;
            that._tryLogin(open_id,name,avatar,res.password);
        });
    }
    /**
     * 根据channel_id分别获取对应渠道的充值方法
     */
    obj._channelRecharge=function(config){
        console.log("channel_inst do recharge...");
        var that = obj;
        obj.channelInst.recharge(config,function(cb)  {
            console.info(cb);//回调
            var rdCb = [];
            rdCb['id'] = config.rd_order_no;
            rdCb['out_order_no'] = config.out_order_no;
            rdCb['price'] = config.price;
            rdCb['type'] = config['state'];
            that.rechargeCallBack.call(null,rdCb);
        })
    }

    obj._tryLogin=function(open_id,name,avatar,password){
        var password = password || "";
        var authUrl = obj.baseUrl + "/index.php/user/api/AuthEntication/";
        var paramUrl = {
            channel_id:obj.channel_id,
            game_id:obj.app_id
        };
        var pUrl = JSON.stringify(paramUrl);
        var dataUrl=JSON.stringify({'data':'{"mod":"user","do":"api.AuthEntication","p":'+pUrl+'}',"h":""});
        obj.send(authUrl,dataUrl,function(results){
            var auth = JSON.parse(results);
        ////////////////////////////////////    
            var paramObj = {
                "account":open_id,
                "password":password.length == 0?open_id:password,
                "app_id":obj.app_id,
                "channel_id":obj.channel_id//新增

                // "sign":open_id
            };
             
            console.info("正在请求登陆...",paramObj);
            var signature = obj.signHashHmac(paramObj,atob(obj.signkey));
            paramObj.sign = signature;

            var url = obj.baseUrl +"/index.php/user/api/login/";
            var p = JSON.stringify(paramObj);
            var data=JSON.stringify({'data':'{"mod":"user","do":"api.login","p":'+p+'}',"h":""});
            obj.send(url,data,function(res){
                res = JSON.parse(res);
                if(res.errCode == 0){
                    if(auth.data == 1){
                        if(obj.isRdYk == true){
                            console.log('遊客-----------------',obj.isRdYk);
                            var aurl = obj.baseUrl +"/index.php/user/api/AuthEnticaYK";
                            var uuid = {"uuid":res.data.uuid,"dtim":0}
                            var auth_uu = JSON.stringify(uuid);
                            var auth_uuid = JSON.stringify({'data':'{"mod":"user","do":"api.AuthEnticaYK","p":'+auth_uu+'}',"h":""});
                        }else{
                            console.log('遊客++++++++++++++++',obj.isRdYk);
                            var aurl = obj.baseUrl +"/index.php/user/api/AuthEntica";
                            var uuid = {"uuid":res.data.uuid,"dtim":0}
                            var auth_uu = JSON.stringify(uuid);
                            var auth_uuid = JSON.stringify({'data':'{"mod":"user","do":"api.AuthEntica","p":'+auth_uu+'}',"h":""});
                        }  
                        obj.send(aurl,auth_uuid,function(rest){
                            rest = JSON.parse(rest);
                            console.log(rest.data.state);
                            switch(rest.data.state){
                              case 0:
                                obj.userInfoCallBack.call(null,res.data);
                                var authFormData = res.data;
                                authFormData.app_id = obj.app_id;
                                authFormData.channel_id = obj.channel_id;
                                authFormData.time = rest.data.time;
                                authFormData.sign = rest.data.sign;
                                console.log("正式用户未实名", authFormData);
                                MiniSite.authFormYk(obj,authFormData, 0, "您需要完成实名认证",0);  //未进行实名认证
                                break;
                              case 1:
                                console.info("登陆成功!");
                                obj.userInfoCallBack.call(null,res.data); 
                                break;
                              case 2:
                                MiniSite.authTime(); //22-8 之间 禁止未成年人上线
                                break;
                              case 3:
                                MiniSite.authOver(); //未成年上线时间已结束
                                break;
                              case 4:
                                console.info("登陆成功!");
                                obj.userInfoCallBack.call(null,res.data);
                                //执行未成年防沉迷
                                MiniSite.authFormInterval(obj, res.data.uuid)
                                break;
                              case 5:
                                  obj.userInfoCallBack.call(null,res.data);
                                  var authFormData = res.data;
                                  authFormData.app_id = obj.app_id;
                                  authFormData.channel_id = obj.channel_id;
                                  authFormData.time = rest.data.time;
                                  authFormData.sign = rest.data.sign;
                                  console.log("游客游戏时间已到-进行绑定身份", authFormData);
                                  MiniSite.authFormYk(obj,authFormData, 1, '若未实名认证，则只能游戏60分钟',0);
                                  break;
                                break;
                              case 6:
                                console.info("登陆成功!");
                                obj.userInfoCallBack.call(null,res.data);
                                var that = obj;
                                var setinter = setInterval(function(){
                                    var aurls = that.baseUrl +"/index.php/user/api/AuthMtime";
                                    var uuids = {"uuid":res.data.uuid}
                                    var auth_uus = JSON.stringify(uuids);
                                    var auth_uuids = JSON.stringify({'data':'{"mod":"user","do":"api.AuthMtime","p":'+auth_uus+'}',"h":""});
                                    that.send(aurls,auth_uuids,function(res2){
                                        console.log("防沉迷 - 游客", res2);
                                        res2 = JSON.parse(res2);
                                        //0：防沉迷已到时，1：未到时间
                                        if(res2.data.state == 0){
                                            if(document.getElementById('payBox')){
                                                document.getElementById('payBox').remove();
                                            }
                                            var authFormData = res.data;
                                            authFormData.app_id = obj.app_id;
                                            authFormData.channel_id = obj.channel_id;
                                            authFormData.time = res2.data.time;
                                            authFormData.sign = res2.data.sign;
                                            // //游客防沉迷提醒
                                            // MiniSite.authYouke();
                                            //防沉迷绑定
                                            MiniSite.authFormYk(obj, authFormData, 1, '若未实名认证，则只能游戏60分钟',0);  //未进行实名认证
                                            clearInterval(setinter);
                                        }
                                    },that)
                                },60000);
                                break;
                            }
                        },obj)                      
                    }else{
                        console.info("登陆成功!");
                        obj.userInfoCallBack.call(null,res.data)
                    }
                }else if(res.errCode == 102){
                    console.info("账号不存在!");
                    obj._tryRegister(open_id,name,avatar,paramObj.password);
                }else if(res.errCode == 1003) {
                    console.log("渠道维护中");
                    MiniSite.notice("维护信息", res.error);
                }else{
                    console.error(res.error);
                    // alert("接口异常"+res.error);
                    // window.location.reload();
                }
            },obj)
        ////////////////////////////////////////////
        },obj) 
    }

    obj._tryRegister=function(open_id,name,avatar,password){
        console.info("正在请求注册...");
        var paramObj = {
            "account":open_id,
            "password":password,
            "channel_id":obj.channel_id,
            "nickname":name,
            "avatar":avatar?avatar:"",
            "app_id":obj.app_id
        };
        console.log(atob(obj.signkey));
        var signature = obj.signHashHmac(paramObj,atob(obj.signkey));
        paramObj.sign = signature;
        console.log(paramObj.sign);
        console.log(paramObj);
        var url = obj.baseUrl +"/index.php/user/api/register/";
        var p = JSON.stringify(paramObj);
        var data=JSON.stringify({'data':'{"mod":"user","do":"api.register","p":'+p+'}',"h":""});
        obj.send(url,data,function(res){
            res = JSON.parse(res);
            if(res.errCode == 0){
                console.info("注册成功!");
                obj.firstLogin();
                obj._tryLogin(open_id,name,avatar,password);
            }else{
                console.error(res.error);
                // alert("接口异常"+res.error);
                // window.location.reload();
            }
        },obj)
    }

    obj.signHashHmac=function(paramObj,localSignKey){
        var localSignKey = localSignKey || "124858735da394eb";
        //开始排序
        paramObj = ksort(paramObj);
        // console.log(1,paramObj);
        var str = [];
        for (var key in paramObj) {
            var value = paramObj[key];
            str.push(key+"="+value);
        }
        // console.log(2,str);
        var strData = str.join("&");
        strData += "&key="+localSignKey;
        // console.log(3,strData);
        var signature = CryptoJS.HmacSHA256(strData, localSignKey).toString();
        // console.log(4,signature);
        // signature = CryptoJS.enc.Base64.stringify(signature);
        // console.log(5,signature);
        signature = signature.toUpperCase();
        // console.log(5,signature);
        return signature;
    }

    obj.send=function(url,data,cb,cbObj,sCount){
        var sCount = sCount || 1;
        var xmlhttp=new XMLHttpRequest();
        xmlhttp.open("POST",url,true);
        xmlhttp.send(data);
        xmlhttp.onreadystatechange=function()
        {
            if (xmlhttp.readyState==4 && xmlhttp.status==200)
            {
                cb.call(cbObj,xmlhttp.responseText);
            }else if(xmlhttp.status == 0){
                setTimeout(function(){
                    sCount += 1;
                    if(sCount < 5){
                        obj.send(url,data,cb,cbObj,sCount);
                    }else{
                        cb({"error":"接口异常"});
                    }
                },1000);
            }
        }
    }
    var param = obj.getParam("debug");

    if(param == "true"){
        console.info("param debug:"+param);
        obj.baseUrl = "//xmzt.lzwiii.cn/";
    }else if(param == "test"){
        console.info("param debug:"+param);
        obj.baseUrl = "//test.xmzt.ximiplay.com/";
    }else{
        obj.baseUrl = "https://xmzt.ximiplay.com/";
        // obj.baseUrl = "//center-test.rd-game.com/";
    }

    obj.pay_type = "select";
    obj.readyCallback = null;
    obj.readyCallbackObj = null;
    obj.app_id = null;
    obj.channel_id = null;
    obj.game_id = null;
    obj.game_login_url = null;
    obj.app_info = null;

    obj.userInfoCallBack = null;
    obj.rechargeCallBack = null;
    obj.signkey = null;
    obj.RDPAYS = null;
    obj.RDPAYSRES = null;
    obj.RDPAYSOS = true;
    obj.wgcWords = true;
    var channel_id = parseInt(obj.getParam("channel_id"));
    obj.ready(callback,callbackObj);
    obj.init(channel_id);
    //反射后的渠道实例
    obj.channelInst = null;

    //加载支付Css
    MiniSite.CssLoader.load(obj.baseUrl+"sdk/payBox.css");
    MiniSite.CssLoader.load(obj.baseUrl+"sdk/weui.min.css");
    MiniSite.JsLoader.load(obj.baseUrl+"sdk/crypto-js/crypto-js.js");
    MiniSite.JsLoader.load(obj.baseUrl+"sdk/zepto.min.js");
    MiniSite.JsLoader.load(obj.baseUrl+"sdk/js/rdpays.js");

    return obj;
}

var MiniSite = new Object();
/**
 * 判断浏览器
 */
MiniSite.Browser={
    ie:/msie/.test(window.navigator.userAgent.toLowerCase()),
    moz:/gecko/.test(window.navigator.userAgent.toLowerCase()),
    opera:/opera/.test(window.navigator.userAgent.toLowerCase()),
    safari:/safari/.test(window.navigator.userAgent.toLowerCase())
};
/**
 * JsLoader对象用来加载外部的js文件
 */
MiniSite.JsLoader={
    /**
     * 加载外部的js文件
     * @param sUrl 要加载的js的url地址
     * @fCallback js加载完成之后的处理函数
     */
    load:function(sUrl,fCallback,callbackObj){
        var _script=document.createElement('script');
        _script.setAttribute('charset','utf-8');
        _script.setAttribute('type','text/javascript');
        _script.setAttribute('src',sUrl);
        document.getElementsByTagName('head')[0].appendChild(_script);
        if(MiniSite.Browser.ie){
            var userAgent = window.navigator.userAgent;
            var reIE = new RegExp("MSIE (\\d+\\.\\d+);");
            reIE.test(userAgent);
            var fIEVersion = parseFloat(RegExp["$1"]);
            if(fIEVersion >=8 && fIEVersion <= 10){
                _script.onload=function(){
                    if(fCallback!=undefined){
                        fCallback.call(callbackObj);
                    }
                };
            }else{
                _script.onreadystatechange=function(){
                    if(this.readyState=='loaded'||this.readyStaate=='complete'){
                        //fCallback();
                        if(fCallback!=undefined){
                            fCallback.call(callbackObj);
                        }
                    }
                };
            }
        }else if(MiniSite.Browser.moz){
            _script.onload=function(){
                //fCallback();
                if(fCallback!=undefined){
                    fCallback.call(callbackObj);
                }
            };
        }else{
             _script.onload=function(){
                //fCallback();
                if(fCallback!=undefined){
                    fCallback.call(callbackObj);
                }
            };
        }
    }
};

/**
 * 动态加载CSS
 * @param {string} url 样式地址
 */
MiniSite.CssLoader = {
    load:function(url){
        var head = document.getElementsByTagName('head')[0];
        var link = document.createElement('link');
        link.type='text/css';
        link.rel = 'stylesheet';
        link.href = url;
        head.appendChild(link);
    }
}


MiniSite.loadPayBox = function(price,callback,callbackObj) {
    console.info("MiniSite.loadPayBox...",price);
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var f = '<li data-type="alipay" class="flex"><i class="icon-alipay"></i><span class="flex-list">支付宝支付(推荐)</span></li><li data-type="weixin" class="flex"><i class="icon-wxpay"></i><span class="flex-list">微信支付</span></li>';
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head">选择支付方式<i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        g += '<div class="pay-info">';
        g += '<p class="paybox-tip">您需支付</p>';
        g += '<p class="paybox-price">¥<span id="price">' + (price/100).toFixed(2) + "</span></p>";
        g += "</div>";
        g += '<div class="pay-mode">';
        g += '<ul id="pay-list">' + f + "</ul>";
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
        // (price/10).toFixed(1)
        console.info("MiniSite.end");
    }

    $("#pay-list li").off().click(function(result) {
        var dataType = $(this).data("type")
        MiniSite.closePayBox(false)
        if(callback)callback.call(callbackObj,dataType);
    })
}

MiniSite.authTime = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem;font-size:1.5rem;padding: 4rem;">未成年玩家，于22时至次日8时，禁止登陆！！</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}

MiniSite.authOver = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">未成年玩家，节假日游戏累计游戏时间不得超过3小时；其他时间游戏累计时间不得超过1.5小时。</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
        console.info("MiniSite.end");
    }
}

MiniSite.authYouke = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem;font-size:1.5rem;">1. 游客玩家游戏累计游戏时间不得超过1小时；</p>';
        g += '<p class="paybox-auth" style="margin:1rem;font-size:1.5rem;">2. 游客玩家游戏累计游戏时间超过1小时，15日之后可继续登录。</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}

MiniSite.authOrder = function() {
    var e = $("#payBox")
    console.log(e);
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">温馨提示</li><i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">1. 0-8岁未成年玩家，暂无充值权限；</p>';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">2. 8-16岁未成年玩家单笔充值不得超过50元，本月累计充值不得超过200元；</p>';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem">3. 16-18岁未成年玩家单笔充值不得超过100元，本月累计充值不得超过400元。</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}

//防沉迷 -- 游客
MiniSite.authFormYk = function(obj,data, isYk, message, hasClose, extraCallback) {
    if(!message){
        message = "若未实名认证，则只能游戏60分钟";
    }
    if(!hasClose){      //是否可以关闭窗口
        hasClose = 0;
    }else{
        hasClose = 1;
    }
    var e = $("#payBox")
    console.log(e);
    console.log(data);
    if (!$("#payBox").length) {
        var f = '<div class="basic-grey"><form id="form" action="" method="post" >'+
                '<label class="authMessage" id="authText">'+message+'</label>';
        if(isYk==1){    //游客模式需要做手机认证
           f += '<label><span>手机号 :</span><input id="phone" type="text" name="phone" placeholder="手机号" /></label>'+
                '<label class="authyk_code_main"><span>验证码:</span><input class="input_phone phone_code" name="code" type="text" maxlength="4" disabled/>' +
                '<input class="code_btn code_sms" type="button" value="发送验证码"/></label>';
        }
        f += '<label><span>姓名 :</span><input id="name" type="text" name="name" placeholder="请输入真实姓名" autocomplete="off"/></label>' +
            '<label><span>身份证 :</span><input id="id_cade" type="text" name="id_cade" placeholder="身份证号" /></label>' +
            '<input type="hidden" name="uuid" value="'+data.uuid+'">' +
            '<input type="hidden" name="app_id" value="'+data.app_id+'">' +
            '<input type="hidden" name="channel_id" value="'+data.channel_id+'">' +
            '<input type="hidden" name="newpwd" value="'+data.time+'">' +
            '<input type="hidden" name="time" value="'+data.time+'">' +
            '<input type="hidden" name="sign" value="'+data.sign+'">' +
            '<input type="hidden" name="isyk" value="'+isYk+'">' +
            '<input type="button" class="submit" value="完成绑定"/>' +
            '</form></div>';
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="rr">';
        if(hasClose==1){
            g += '<div class="pay-head">实名认证<i class="icon-cancel" onclick="MiniSite.closePayBox(true)"></i></div>';
        }else{
            g += '<div class="pay-head">实名认证</div>';
        }
        g += '<div class="pay-info" style="text-align:left;">';
        g +=  f ;
        g += "</div></div>";
        $("body").append(g)
    }

    $(".phone_code").on('input', function(){
        var value = $(this).val().replace(/[^0-9]/g,'');
        $('.phone_code').val(value);
        if(value.length >= 4){
            $('.submit').removeAttr('disabled').removeAttr('style');
        }else{
            $('.submit').attr('disabled',true).attr('style','color: #FFF;');
        }
    });
    if(isYk==1){
        $('.submit').attr('disabled',true);
    }


    $('.authyk_code_main .code_btn').mouseup(function(){
        console.log("发送验证码");
        var rex = /^[1][3,4,5,7,8][0-9]{9}$/;
        var phoneNum = $('#phone').val();
        console.log(phoneNum);
        var phoneObj = {
            result:rex.test(phoneNum),
            phone: phoneNum,
            msg:''
        }
        console.log(phoneObj);
        if(!phoneObj.result){
            if(phoneObj.msg) alert(phoneObj.msg);
            return;
        }
        $(this).attr('disabled',true);
        var that = this;

        var purl = obj.baseUrl +"/index.php/user/Sms/sendYkBand";
        var pdata = {
            phone: phoneObj.phone,
            uuid: data.uuid,
            app_id: data.app_id,
            channel_id: data.channel_id,
        };
        var p_pdata = JSON.stringify(pdata);
        var auth_p_pdata = JSON.stringify({'data':'{"mod":"user","do":"sms.sendYk","p":'+p_pdata+'}',"h":""});
        obj.send(purl, auth_p_pdata,function(e){
            console.log('success', e);
            var disableds = false;
            if(typeof e == 'string'){
                e = JSON.parse(e);
            }
            if(e.errCode == 0){
                $('#authText').html(message);
                var ee = e.data;
                console.log(ee);
                // if(ee.result == 0){
                disableds = true;
                $('.authyk_code_main .code_sms').toggleClass('code_sms_up');
                $('.authyk_code_main .phone_code').removeAttr('disabled').focus();
                var time = 60 ;
                var timer = setInterval(function(){
                    time--;
                    $(".authyk_code_main .code_sms").val("重新发送" + time);
                    if(time == 0){
                        clearInterval(timer);
                        $(".authyk_code_main .code_sms").toggleClass('code_sms_up').removeAttr('disabled').val("重新发送");
                    }
                },1000);
                // }else{
                //     alert('系统繁忙,短信发送失败');
                // }
            }else{
                $('#authText').html(e.error);
            }
            if(!disableds){
                $(that).removeAttr('disabled');
            }
        })
    });

    $("#id_cade").on('blur', function(){
        var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        if(reg.test($(this).val()) === false)
        {
            $(this).attr('style','border-color:red');
        }else{
            $(this).removeAttr('style');
        }
    });


    //防沉迷表单提交
    $(".submit").click(function(){
        var idcard_num = $("#id_cade").val();
        var regIdNo = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
        if(!regIdNo.test(idcard_num)){
            alert('身份证号填写有误');
            return false;
        }
        console.log("authFormYk submit");
        $(this).attr('disabled',true);
        $.ajax({
            url: obj.baseUrl+'/index.php/user/api/authform',
            type: "post",
            data: $('#form').serialize(),
            dataType: "json",
            success: function (authRes) {
                $(".submit").removeAttr('disabled');
                // if(authFromYkCallback) authFromYkCallback.call(null, res);


                // ------------------------ 实名认证 成功回调 --------------------------
                // function(authRes){
                    console.log("认证回调");
                    console.log(authRes);
                    if(typeof authRes == 'string'){
                        authRes = JSON.parse(authRes);
                    }
                    if(authRes.errCode == 0) {
                        if (authRes.data == 0) {
                            alert('姓名和身份证号不一致!!!');
                        }else{
                            //认证成功后，再次启动防沉迷
                            $("#authText").html("认证成功！");
                            setTimeout(function(){
                                $("#payBox").remove();
                                if(isYk==1) {
                                    //去掉游客标识
                                    window.localStorage.setItem('isRdYk', 0);
                                    window.localStorage.setItem('sdk_account', $("#phone").val());
                                    window.localStorage.setItem('sdk_password', data.time);
                                }
                                //执行未成年防沉迷
                                MiniSite.authFormInterval(obj, data.uuid)

                                //执行成功后回调
                                if(extraCallback!=null){
                                    extraCallback.call(null, 1);
                                }
                            }, 2000);
                        }
                    }else{
                        alert(authRes.error);
                    }
                // }

            },
            error: function(){
                $(".submit").removeAttr('disabled');
            }
        })
    });

}

//防沉迷逻辑 -- 已绑定身份
MiniSite.authFormInterval = function(obj, uuid){
    //同登录处的防沉迷逻辑
    var setinter2 = setInterval(function(){
        var aurls = obj.baseUrl +"/index.php/user/api/AuthMtime";
        var uuids = {"uuid": uuid}
        var auth_uus = JSON.stringify(uuids);
        var auth_uuids = JSON.stringify({'data':'{"mod":"user","do":"api.AuthMtime","p":'+auth_uus+'}',"h":""});
        obj.send(aurls,auth_uuids,function(res3){
            res3 = JSON.parse(res3);
            console.log("防沉迷 - 正式", JSON.stringify(res3));
            if(res3.data.state == 0){
                if(document.getElementById('payBox')){
                    document.getElementById('payBox').remove();
                }
                //未成年玩家
                MiniSite.authOver();
                clearInterval(setinter2);
            }else if(res3.data.state == 2){
                if(document.getElementById('payBox')){
                    document.getElementById('payBox').remove();
                }
                MiniSite.authTime();
                clearInterval(setinter2);
            }
        },obj)
    }, 60000);
}

MiniSite.notice = function(title,message) {
    if (!$("#payBox").length) {
        var g = '<div id="payBox" class="pay-box" style="z-index:9999;">';
        g += '<div class="r5">';
        g += '<div class="pay-head"><li style="font-size:2rem;font-weight: bold; color:red">'+title+'</li></div>';
        g += '<div class="pay-info" style="text-align:left;">';
        g += '<p class="paybox-auth" style="margin:1rem; font-size:1.5rem;max-height: 400px;overflow-y: auto;" id="notice_content">'+message+'</p>';
        g += "</div>";
        g += "</div></div>";
        $("body").append(g)
    }
}


MiniSite.closePayBox = function(res){
    $(".pay-box").remove();
    if(res == true && window.rechargeSdk.rechargeCallBack){
        window.rechargeSdk.rechargeCallBack(false);
    }
}

function ksort(inputArr, sort_flags) {
    var sort_flags = sort_flags || "SORT_REGULAR";
    var tmp_arr = {},
        keys = [],
        sorter, i, k, that = this,
        strictForIn = false,
        populateArr = {};

    switch (sort_flags) {
        case 'SORT_STRING':
            // compare items as strings
            sorter = function (a, b) {
                return that.strnatcmp(a, b);
            };
            break;
        case 'SORT_LOCALE_STRING':
            // compare items as strings, original by the current locale (set with  i18n_loc_set_default() as of PHP6)
            var loc = this.i18n_loc_get_default();
            sorter = this.php_js.i18nLocales[loc].sorting;
            break;
        case 'SORT_NUMERIC':
            // compare items numerically
            sorter = function (a, b) {
                return ((a + 0) - (b + 0));
            };
            break;
        // case 'SORT_REGULAR': // compare items normally (don't change types)
        default:
            sorter = function (a, b) {
                var aFloat = parseFloat(a),
                    bFloat = parseFloat(b),
                    aNumeric = aFloat + '' === a,
                    bNumeric = bFloat + '' === b;
                if (aNumeric && bNumeric) {
                    return aFloat > bFloat ? 1 : aFloat < bFloat ? -1 : 0;
                } else if (aNumeric && !bNumeric) {
                    return 1;
                } else if (!aNumeric && bNumeric) {
                    return -1;
                }
                return a > b ? 1 : a < b ? -1 : 0;
            };
            break;
    }

    // Make a list of key names
    for (k in inputArr) {
        if (inputArr.hasOwnProperty(k)) {
            keys.push(k);
        }
    }
    keys.sort(sorter);

    // BEGIN REDUNDANT
    this.php_js = this.php_js || {};
    this.php_js.ini = this.php_js.ini || {};
    // END REDUNDANT
    strictForIn = this.php_js.ini['phpjs.strictForIn'] && this.php_js.ini['phpjs.strictForIn'].local_value && this.php_js
        .ini['phpjs.strictForIn'].local_value !== 'off';
    populateArr = strictForIn ? inputArr : populateArr;

    // Rebuild array with sorted key names
    for (i = 0; i < keys.length; i++) {
        k = keys[i];
        tmp_arr[k] = inputArr[k];
        if (strictForIn) {
            delete inputArr[k];
        }
    }
    for (i in tmp_arr) {
        if (tmp_arr.hasOwnProperty(i)) {
            populateArr[i] = tmp_arr[i];
        }
    }

    return strictForIn || populateArr;
}


function setCookie(name,value,time)
{
    var strsec = getsec(time);
    var exp = new Date();
    exp.setTime(exp.getTime() + strsec*1);
    document.cookie = name + "="+ escape (value) + ";expires=" + exp.toGMTString();
}


//读取cookies
function getCookie(name)
{
    var arr,reg=new RegExp("(^| )"+name+"=([^;]*)(;|$)");

    if(arr=document.cookie.match(reg))

        return unescape(arr[2]);
    else
        return null;
}

//删除cookies
function delCookie(name)
{
    var exp = new Date();
    exp.setTime(exp.getTime() - 1);
    var cval=getCookie(name);
    if(cval!=null)
        document.cookie= name + "="+cval+";expires="+exp.toGMTString();
}
//使用示例
// setCookie("name","hayden");
// getCookie("name");

//如果需要设定自定义过期时间
//那么把上面的setCookie　函数换成下面两个函数就ok;

function getsec(str)
{
    var str1=str.substring(1,str.length)*1;
    var str2=str.substring(0,1);
    if (str2=="s")
    {
        return str1*1000;
    }
    else if (str2=="h")
    {
        return str1*60*60*1000;
    }
    else if (str2=="d")
    {
        return str1*24*60*60*1000;
    }
}

//生成从minNum到maxNum的随机数
function randomNum(minNum,maxNum){
    switch(arguments.length){
        case 1:
            return parseInt(Math.random()*minNum+1,10);
            break;
        case 2:
            return parseInt(Math.random()*(maxNum-minNum+1)+minNum,10);
            break;
        default:
            return 0;
            break;
    }
}
