window.C8902 = function(sdk,callback,callbackObj) {
    this.name = "百度贴吧";
    this.isYouke = false;
    sdk.isRdYk = false;
    var self = this;
    window.loginCallBack = null; //登录回调函数
    window.rechargeInput = null;
    window.rechargeCallBack = null;
    window.rechargeSdk = sdk;
    window.isTankuang = false;
    // 跨窗口消息
    window.addEventListener('message',function(e) {
        console.log(e)
        var d = e.data;  //e.data  里面有自己所传的所有参数  可以根据参数做自己的判断
        var account,password;
        switch(e.data.action){
            case "loginCallBack":
                account = e.data.account;
                password = e.data.password;
  
                close_iframe_login();

                setCookie("account",account,"d30");
                setCookie("password",password,"d30");
                
                self.getUserInfo(window.loginCallBack);
            break;
            case "bindingCallBack":
                account = e.data.account;
                password = e.data.password;
                if(isPhoneNo(account)){
                    self.isYouke = false;
                    setCookie("isRdYk",0,"d30");
                }
                close_iframe_login();

                setCookie("account",account,"d30");
                setCookie("password",password,"d30");

                if(window.rechargeInput && window.rechargeCallBack){
                    self.recharge(window.rechargeInput,window.rechargeCallBack);
                }
            break;
        }
        if(e.data.payResult){
            try{
                close_iframepay();
            }
            catch(err){}
        }
    });

    this.init = function(){
        if(sdk.readyCallback && sdk.readyCallbackObj){
            sdk.readyCallback.call(sdk.readyCallbackObj);
        }
    }

    /**
     *  游客模式登录
     *  @param {Function} [callback] [登录成功后的回调]
     */
    this.getUserInfo = function(callback){
        //设置回调函数
        window.loginCallBack = callback;

        //1.先查cookie。如果本地cookie中有账号密码，则直接请求登录接口
        var account,password;
        var isYouke = false;
        account = getCookie('account');
        password = getCookie('password');
        
        //2.如果没有，则打开登陆窗口
        if(!account  || !password){
            // 打开登录窗口
            
            this.openLoginPanel();
            return;
        }

        // 缓存account
        var noCache = sdk.getParam("noCache");
        if(noCache && noCache == "true"){
            console.log("debug模式，不记录缓存")
        }else{
            setCookie("account",account,"d30");
            setCookie("password",password,"d30");
        }

        // 如果account是非手机号码，则记录为游客模式
        var isPhoneAccount = isPhoneNo(account);
        if(!isPhoneAccount){
            this.isYouke = true;
            sdk.isRdYk = true;
            setCookie("isRdYk",1,"d30");
        }else{
            setCookie("isRdYk",0,"d30");
        }

        //3.如果已有account则直接登陆
        var result = {};
        result.open_id = account;
        result.password = password;
        result.name = "游戏用户";
        result.avatar = "";
        callback.bind(sdk)(result);
       
    }

    this.recharge = function(input,callback){
         callback(true);
        // 获取APP信息
        console.log("燃点支付 input:",input);
        console.log("游客模式:",this.isYouke);
        // 游客模式要求用户登陆
        if(this.isYouke || getCookie('isRdYk') == 1){
            window.rechargeInput = input;
            window.rechargeCallBack = callback;
            this.openBindingPanel();
            return;
        }
        //打开iframe
       
        try{  
            var iframe = document.createElement('<iframe name="ifr" ></iframe>');
        }catch(e){ 
            var iframe = document.createElement('iframe');  
        }

        iframe.id = "iframepay";
        iframe.name = "iframepay";
        iframe.width = "100%";
        iframe.height = "100%";
        iframe.frameborder = "no";
        iframe.border = "0";
        iframe.marginwidth="0";
        iframe.marginheight="0";
        iframe.scrolling="no";
        iframe.allowtransparency="yes";
        iframe.zIndex = "9999999998";
        iframe.style.position = "absolute";
        iframe.style.zIndex="9999999998";
        iframe.style.top="0%";
        if(sdk.pay_type == "alipay"){
            var url = getAlipayUrl(sdk,input);
            console.log(url);
            openIframeUrl(iframe,url);
        }else{
            var url = getWxUrl(sdk,input);
            url = sdk.centerUrl + "/index.php/pay/wxpayh/redirectWxUrl?url=" + urlencode(url) +"&redirect_url=" + urlencode(window.location.href);   
            openLocalUrl(url);
        }
    }

    function openIframeUrl(iframe,url){
         //打开的iframe设置url
        iframe.src=url;
        // window.top.postMessage({ success: true, pay_url: url }, "*");
        document.body.appendChild(iframe);
        //生成关闭按钮
        var closeBtn = "<input id='close_iframepay' onclick='close_iframepay();' type='button' name='close' value='返回游戏' style='position:absolute;top:5%;right:5%;width: 120px;height: 40px;z-index:9999999999;border-width: 0px;border-radius: 5px;background: #3a9eff;cursor: pointer;outline: none;font-family: Microsoft YaHei;color: white;font-size: 17px;' />";
        document.body.insertAdjacentHTML("beforeend",closeBtn);
    }

    function openLocalUrl(url){
        console.log(url);
        top.location.href=url;
    }

    function getAlipayUrl(sdk,input){
        var url= sdk.centerUrl + "/index.php/pay/alipay/pay/";
        var param = {
            APPID:sdk.app_id,
            channel_id:sdk.channel_id,
            uuid:input.uuid,
            pay_type:'weixin',
            rd_order_no:input.rd_order_no,
            out_order_no:input.out_order_no,
            price:input.price
        };
        url = objArgs(url,param);
        return url;
    }

    function getWxUrl(sdk,input){
        var url= sdk.centerUrl + "/index.php/pay/wxpayh/pay/";
        var param = {
            APPID:sdk.app_id,
            channel_id:sdk.channel_id,
            uuid:input.uuid,
            pay_type:'alipay',
            rd_order_no:input.rd_order_no,
            out_order_no:input.out_order_no,
            price:input.price
        };
        url = objArgs(url,param);
        return url;
    }

    this.openLoginPanel = function() {
        //弹框出现之后不允许反复出现
            if(window.isTankuang)return;
            window.isTankuang =true;
         try{  
            var iframe = document.createElement('<iframe name="ifr" ></iframe>');
        }catch(e){ 
            var iframe = document.createElement('iframe');  
        }
        document.body.style.display = "flex";
        iframe.id = "iframe_login";
        iframe.name = "iframe_login";
        iframe.width = "90%";
        
        if(document.body.offsetHeight > 640){
            iframe.height = "55%";
        }else if(document.body.offsetHeight > 560){
            iframe.height = "60%";
        }else if(document.body.offsetHeight > 500){
            iframe.height = "70%";
        }else{
            iframe.height = "80%";
        }
        iframe.frameborder = "no";
        iframe.border = "0";
        iframe.marginwidth="0";
        iframe.marginheight="0";
        iframe.scrolling="no";
        iframe.allowtransparency="yes";
        iframe.zIndex = "9999999998";

        iframe.style.margin="auto";
        iframe.style.zIndex="9999999998";
        // iframe.style.position = "absolute";
        // iframe.align = "middle";
        // iframe.style.border="none";
        // iframe.frameborder='1';

        // var url = "//www.baidu.com";
        var url = sdk.centerUrl+"index.php/user/login/index?appid="+sdk.app_id +"&channel_id="+sdk.channel_id+"&back="+btoa(window.location.href);
        if(sdk.getParam('tourists') == 1){
            // 1 为隐藏游客登录
            var url = sdk.centerUrl+"index.php/user/login/tourists?appid="+sdk.app_id +"&channel_id="+sdk.channel_id+"&back="+btoa(window.location.href);
        }
        console.log(url);
        iframe.src=url;

        document.body.appendChild(iframe);

        var closeBtn = "<input id='close_iframe_login' onclick='close_iframe_login();' type='button' name='close' value='返回游戏' style='display:none;position:absolute;top:5%;right:5%;width: 120px;height: 40px;z-index:9999999999;border-width: 0px;border-radius: 5px;background: #3a9eff;cursor: pointer;outline: none;font-family: Microsoft YaHei;color: white;font-size: 17px;' />";
        document.body.insertAdjacentHTML("beforeend",closeBtn);

        iframe.contentWindow.postMessage("content","//xmzt.ximiplay.com");
    }

    this.openBindingPanel = function() {
         try{  
            var iframe = document.createElement('<iframe name="ifr" ></iframe>');
        }catch(e){ 
            var iframe = document.createElement('iframe');  
        }
        document.body.style.display = "flex";
        iframe.id = "iframe_login";
        iframe.name = "iframe_login";
        iframe.width = "90%";
        iframe.height = "60%";
        iframe.frameborder = "no";
        iframe.border = "0";
        iframe.marginwidth="0";
        iframe.marginheight="0";
        iframe.scrolling="no";
        iframe.allowtransparency="yes";
        iframe.zIndex = "9999999998";

        iframe.style.margin="auto";
        iframe.style.zIndex="9999999999";
        // iframe.style.position = "absolute";
        // iframe.align = "middle";
        // iframe.style.border="none";
        // iframe.frameborder='1';

        // var url = "//www.baidu.com";
        var account = getCookie('account');
        var password = getCookie('password');
        var url = sdk.centerUrl+"index.php/user/login/binding?appid="+sdk.app_id +"&channel_id="+sdk.channel_id+"&account="+account+"&password="+password;
        console.log(url);
        iframe.src=url;

        document.body.appendChild(iframe);

        var closeBtn = "<input id='close_iframe_login' onclick='close_iframe_login();' type='button' name='close' value='返回游戏' style='position:absolute;top:5%;right:5%;width: 120px;height: 40px;z-index:9999999999;border-width: 0px;border-radius: 5px;background: #3a9eff;cursor: pointer;outline: none;font-family: Microsoft YaHei;color: white;font-size: 17px;' />";
        document.body.insertAdjacentHTML("beforeend",closeBtn);

        iframe.contentWindow.postMessage("content","//xmzt.ximiplay.com");
    }

}

function urlencode (str) {  
    str = (str + '').toString();   
    return encodeURIComponent(str).replace(/!/g, '%21').replace(/'/g, '%27').replace(/\(/g, '%28').  
    replace(/\)/g, '%29').replace(/\*/g, '%2A').replace(/%20/g, '+');  
}

function objArgs(url,obj) {
    var url = url + '?'; // 提前加好问号
    for(var name in obj){
        url += name + '=' + encodeURIComponent(obj[name]) + '&'; // 转码并进行赋值
    }
    url = url.substring(0,url.length-1); // 去掉最后一个&符号
    return url; // 返回
}

function close_iframepay(){
    var iframe = document.getElementById("iframepay");
    var closeBtn = document.getElementById("close_iframepay");
    document.body.removeChild(iframe);
    document.body.removeChild(closeBtn);
    if( window.rechargeSdk.rechargeCallBack){
        window.rechargeSdk.rechargeCallBack(false);
    }
}

function close_iframe_login(){
    var iframe = document.getElementById("iframe_login");
    var closeBtn = document.getElementById("close_iframe_login");
    document.body.removeChild(iframe);
    document.body.removeChild(closeBtn);
}

//是否为手机号
function isPhoneNo(phone){
    var pattern = /^1[123456789]\d{9}$/;
    return pattern.test(phone);
}

var HtmlUtil = {
    /*1.用正则表达式实现html转码*/
    htmlEncodeByRegExp:function (str){  
         var s = "";
         if(str.length == 0) return "";
         s = str.replace(/&/g,"&amp;");
         s = s.replace(/</g,"&lt;");
         s = s.replace(/>/g,"&gt;");
         s = s.replace(/ /g,"&nbsp;");
         s = s.replace(/\'/g,"&#39;");
         s = s.replace(/\"/g,"&quot;");
         return s;  
   },
   /*2.用正则表达式实现html解码*/
   htmlDecodeByRegExp:function (str){  
         var s = "";
         if(str.length == 0) return "";
         s = str.replace(/&amp;/g,"&");
         s = s.replace(/&lt;/g,"<");
         s = s.replace(/&gt;/g,">");
         s = s.replace(/&nbsp;/g," ");
         s = s.replace(/&#39;/g,"\'");
         s = s.replace(/&quot;/g,"\"");
         return s;  
   }
};
