window.C9014 = function(sdk,callback,callbackObj) {
    this.name = "Jy";
    window.rdsdkinfo = sdk;
    window.getUserInfoCallback = null;
    this.init = function(){
        if(sdk.readyCallback && sdk.readyCallbackObj){
            sdk.readyCallback.call(sdk.readyCallbackObj);
        }
    }

    this.getUserInfo = function(callback){
        window.getUserInfoCallback = callback;
        AndroidJs.login();

    }

    this.recharge = function(input,callback){
        callback(true);
        console.info('input',input);
        console.info('price',input.price);
        console.info('open_id',input.open_id);
        console.info('rd_order_no',input.rd_order_no);
        AndroidJs.recharge(input.price/100,input.open_id,input.rd_order_no);
    }

    //数据上报
    this.reportPV = function(){
        var url= sdk.baseUrl + "/index.php/user/api/report/";
        var param = {
            "APPID":sdk.app_id
            ,"channel_id":sdk.channel_id
            ,"key":"pv"
        };
        var p = JSON.stringify(param);
        var data = JSON.stringify({'data':'{"mod":"user","do":"api.report","p":'+p+'}',"h":""});

        sdk.send(url,data,(result)=>{
            console.log("report ok");
        },sdk)
    }

    this.reportRoleCreate = function(){
        var obj =
            {
                type:'dataCount',
                msg :'role'
            }
        window.top.postMessage(obj,'*');
    }

    this.reportRoleActive = function(){
        var obj =
            {
                type:'dataCount',
                msg :'start'
            }

        window.top.postMessage(obj,'*');
    }

    this.openPayBox = function(input,callback){
        MiniSite.loadPayBox(input.price,(type)=>{
            input.pay_type = type;
            this.doRdRecharge(input,callback);
        },this);
    }

    this.doRdRecharge = function(input,callback){
        console.log("Recharge...");
        // 获取APP信息
        console.info("支付 input:",input);
        //打开iframe
        try{
            var iframe = document.createElement('<iframe name="ifr" ></iframe>');
        }catch(e){
            var iframe = document.createElement('iframe');
        }

        iframe.id = "iframepay";
        iframe.name = "iframepay";
        iframe.width = "100%";
        iframe.height = "100%";
        iframe.frameborder = "no";
        iframe.border = "0";
        iframe.marginwidth="0";
        iframe.marginheight="0";
        iframe.scrolling="no";
        iframe.allowtransparency="yes";
        iframe.zIndex = "9999999998";
        iframe.style.position = "absolute";


        if(sdk.pay_type == "alipay"){
            var url = getAlipayUrl(sdk,input);
            console.log(url);
            openIframeUrl(iframe,url);
        }else{
            var url = getWxUrl(sdk,input);
            sdk.send(url,{},(result)=>{
                result = JSON.parse(result);
                if(result.errCode == 0){
                    console.info("微信支付请求",result);
                    url = result.data.mweb_url+"&redirect_url="+encodeURI(sdk.game_login_url);
                    openLocalUrl(url);
                }else{
                    console.error(result.error);
                }
            },this)
        }
    }

    this.onEvent = function(info,callback){
        // if(info.actionName){
        //     console.info('上报',info);
        //     if(window.reportGameData){
        //         window.reportGameData(info);
        //     }else{
        //         var sdkUrl = "https://xmzt.ximiplay.com/sdk/js/reportGameData.js?v=" + (new Date()).valueOf();
        //         MiniSite.JsLoader.load(sdkUrl,function(){
        //             var reportGameObj = new reportGameData();
        //             var moduleName =  'TDGA';
        //             reportGameObj.init(moduleName,function(cb){
        //                 window.reportGameData = cb;
        //                 window.reportGameData(info);
        //             });
        //         },sdk);
        //     }
        // }
        console.info('info-----',info);
        switch(info.actionName){
          
            case 'onChargeSuccess':
                AndroidJs.onChargeSuccess(info.obj.orderId);
                break;
            case 'MissionOnBegin':
                AndroidJs.MissionOnBegin(info.obj.missionId);
                break;
            case 'onChargeRequest':
                AndroidJs.onChargeRequest(info.obj.orderId,info.obj.iapId,info.obj.price);
                break;
            case 'MissionOnCompleted':
                AndroidJs.MissionOnCompleted(info.obj.missionId);
                break;
           
            case 'MissionOnFailed':
                AndroidJs.MissionOnFailed(info.obj.missionId,info.obj.cause);
                break;
            default:
                AndroidJs.onEvent(info.actionName,info.obj);
        }
        
    }

    function openIframeUrl(iframe,url){
        //打开的iframe设置url
        iframe.src=url;
        // window.top.postMessage({ success: true, pay_url: url }, "*");
        document.body.appendChild(iframe);
        //生成关闭按钮
        var closeBtn = "<input id='close_iframepay' onclick='close_iframepay();' type='button' name='close' value='返回游戏' style='position:absolute;top:5%;right:5%;width: 120px;height: 40px;z-index:9999999999;border-width: 0px;border-radius: 5px;background: #3a9eff;cursor: pointer;outline: none;font-family: Microsoft YaHei;color: white;font-size: 17px;' />";
        document.body.insertAdjacentHTML("beforeend",closeBtn);
    }

    function openLocalUrl(url){
        console.log(url);
        top.location.href=url;
    }

    function getAlipayUrl(sdk,input){
        var url= sdk.baseUrl + "/index.php/pay/alipay/pay/";
        var param = {
            APPID:sdk.app_id,
            uuid:input.uuid,
            pay_type:sdk.pay_type,
            rd_order_no:input.rd_order_no,
            out_order_no:input.out_order_no,
            price:input.price
        };
        url = objArgs(url,param);
        return url;
    }

    function getWxUrl(sdk,input){
        var url= sdk.baseUrl + "/index.php/pay/wxpayh/pay/";
        var param = {
            APPID:sdk.app_id,
            uuid:input.uuid,
            pay_type:sdk.pay_type,
            rd_order_no:input.rd_order_no,
            out_order_no:input.out_order_no,
            price:input.price
        };
        url = objArgs(url,param);
        return url;
    }
}

function loginResponse(info){
    console.info('info',info);

    //验证token待加：：：：：：：：：：：：：：：：：：：：：：：：：：：：：：：：：：：
    var sdk = window.rdsdkinfo;
    var par = {
        gameId:sdk.app_info.jy.GAMEID,
        sid:info,
        key:sdk.app_info.jy.KEY
    };
    console.info('par',par);
    var p = JSON.stringify(par);
    var url= sdk.baseUrl + "/index.php/pay/jy/checkUserSign/";
    var data = JSON.stringify({'data':'{"mod":"pay","do":"jy.checkUserSign","p":'+p+'}',"h":""});
    sdk.send(url,data,(result)=>{
        result = JSON.parse(result);
        console.info('result',result);
        console.info('state.code',JSON.parse(result.data).state.code);
        console.info('accountId',JSON.parse(result.data).data.accountId);
        console.info('nickName',JSON.parse(result.data).data.nickName);

        if(result.errCode == 0){
            if (JSON.parse(result.data).state.code == 1) {
                var res = [];
                res.open_id = JSON.parse(result.data).data.accountId;
                res.password = '123456';
                res.name = JSON.parse(result.data).data.nickName;
                res.avatar = "";

                window.getUserInfoCallback(res);
            } else {
                alert("获取用户信息失败");
            }
        }else{
            alert("请求后台接口失败");
        }

    },sdk)


}

function objArgs(url,obj) {
    var url = url + '?'; // 提前加好问号
    for(var name in obj){
        url += name + '=' + encodeURIComponent(obj[name]) + '&'; // 转码并进行赋值
    }
    url = url.substring(0,url.length-1); // 去掉最后一个&符号
    return url; // 返回
}

function close_iframepay(){
    var iframe = document.getElementById("iframepay");
    var closeBtn = document.getElementById("close_iframepay");
    document.body.removeChild(iframe);
    document.body.removeChild(closeBtn);
}

