// 根据userAgent获取浏览器属性
var browers = window.browers = {};
var ua = navigator.userAgent.toLowerCase();
var version;
browers.Android = ua.match(/android/);
browers.iOS = ua.match(/ipad|iphone|ios/);
browers.appUA = ua.match(/NewsApp\/([\d.]+)/i);

if (browers.appUA && browers.appUA.length && browers.appUA.length > 1) {
  var v = browers.appUA[1].replace(/\./ig, '');
  version = parseInt(v);
  browers.version = version;
}
if (browers.iOS) {
  browers.platform = 'ios'
}
if (browers.Android) {
  browers.platform = 'android'
}
function connectWebViewJavascriptBridge(callback) {
  if (window.WebViewJavascriptBridge) {
    if (!WebViewJavascriptBridge._messageHandler) {
      WebViewJavascriptBridge.init(function (message, responseCallback) {});
    }
    callback(WebViewJavascriptBridge)
  } else {
    document.addEventListener('WebViewJavascriptBridgeReady', function () {
      if (!WebViewJavascriptBridge._messageHandler) {
        WebViewJavascriptBridge.init(function (message, responseCallback) {});
      }
      callback(WebViewJavascriptBridge);
    }, false)
  }
}

/**
 *获取用户信息
 * @param {Object} config 相关设置.
 * @param {string} employee.app_name app_name.
 * @param {string} employee.app_id app_id.
 * @param {requestCallback} cb 回调吐出data对象{openId，name，avatar}
 */
function DQDOpenSDK_userInfo(config,cb) {
  connectWebViewJavascriptBridge(a => {
    a.callHandler("DQDOpenSDK_userInfo", config, cb)
  })
}

/**
 *唤醒支付 安卓还是走bridge
 * @param {Object} config 相关设置.
 * @param {string} employee.open_id open_id.
 * @param {string} employee.app_id app_id.
 * @param {string} employee.pay_type 支付类型：'alipay', 'weixin','alipay_h5', 'weixin_h5'.
 * @param {string} employee.price 价格.
 * @param {string} employee.out_order_no out_order_no.
 * @param {requestCallback} cb 回调.
 */
function DQDOpenSDK_recharge(config, cb) {
  connectWebViewJavascriptBridge(a => {
    a.callHandler("DQDOpenSDK_recharge", config, cb)
  })
}

/**
 *唤醒支付 ios换成h5直接唤起支付
 * @param {Object} config 相关设置.
 * @param {string} employee.open_id open_id.
 * @param {string} employee.app_id app_id.
 * @param {string} employee.pay_type 支付类型：'alipay', 'weixin','alipay_h5', 'weixin_h5'.
 * @param {string} employee.price 价格.
 * @param {string} employee.out_order_no out_order_no.
 * @param {requestCallback} cb 回调.
 */
function DQDOpenSDK_goGamePay(config, cb) {
  if (browers.platform === 'ios' && browers.version >= 714) {
    var xhr = new XMLHttpRequest;
    var url = `https://beta-pay.xiaohongdan.com/game/settle?pay_way=onlyh5&version=${browers.version}&platform=${browers.platform}&app_id=${config.app_id}&open_id=${config.open_id}&out_order_no=${config.out_order_no}&pay_type=${config.pay_type}&price=${config.price}`
    xhr.open('GET', url, true);
    xhr.setRequestHeader('Content-Type', 'application/json;charset=UTF-8');
    xhr.send(JSON.stringify(config));
  
    xhr.onreadystatechange = function () {
      if (xhr.readyState === 4 && xhr.status === 200) {
        var message = xhr.responseText;
        var data = JSON.parse(message);
        if (parseInt(data.code) === 0) {
          if (config.pay_type === 'alipay') {
            location.href = data.data.ret_alipay.url;
            return
          }
          if (config.pay_type === 'weixin') {
            location.href = data.data.ret_weixin.mweb_url;
            return
          }
        }else {
          // todo自己加逻辑
        }
      } else {
        // todo自己加逻辑
      }
    };
  }else {
    DQDOpenSDK_recharge(config, cb);
  }
}
