function reportGameData(){
	var obj = new Object();
	obj.moduleObj = null;
	obj.moduleData = null;
	obj.init = function(moduleName,callback){
		if(obj.moduleObj){
			return callback(obj.moduleData);
		}
		var url = '';
		switch(moduleName) {
		    case 'BD':
		        break;
		    case 'TDGA':
		        if(obj.isHttps()){
			        url = 'https://h5.talkingdata.com/g/h5/v1/6925EC2128BF4787B05F405E51469B47';
			        // url = 'http://sdk.talkingdata.com/g/h5/v1/1D138F920D364E81A7A5D2D1515D547B'; 不知道是谁的
		        }else{
			        url = 'http://sdk.talkingdata.com/g/h5/v1/6925EC2128BF4787B05F405E51469B47';
		        }
		    	break;
		    default:
		    	obj.errMsg('moduleName not exists');
		    	return;
		}
		obj.loadJs(url,function(){
			switch(moduleName) {
			    case 'BD':
			        break;
			    case 'TDGA':
			    	if(window.TDGA){
				    	obj.moduleObj = window.TDGA;
			    	}else if(window.DTGAbaseUrl){
			    		obj.loadJs(window.DTGAbaseUrl + '/js/sdk_release.js?v=1.0.7',function(){
			    			if(!window['JSON'] || typeof JSON !== 'object'){
			    				obj.loadJs(window.DTGAbaseUrl + '/js/json2.js',function(){
			    					obj.moduleObj = window.TDGA;
			    					obj.moduleData = obj.TDGA;
			    					obj.closeGgameData(moduleName,obj.TDGA);
			    					callback(obj.TDGA);
			    				});
			    			}else{
			    				obj.moduleObj = window.TDGA;
		    					obj.moduleData = obj.TDGA;
		    					obj.closeGgameData(moduleName,obj.TDGA);
			    				callback(obj.TDGA);
			    			}
			    		})
			    	}
			    	break;
			    default:
			    	return;
			}
		})
	}
	obj.loadJs = function(url,callback){
		var script = document.createElement('script'),
        fn = callback || function(){};
	    script.type = 'text/javascript';
	    if(script.readyState){
	        script.onreadystatechange = function(){
	            if( script.readyState == 'loaded' || script.readyState == 'complete' ){
	                script.onreadystatechange = null;
	                fn();
	            }
	        };
	    }else{
	        script.onload = function(){
	            fn();
	        };
	    }
	    script.src = url;
	    document.getElementsByTagName('head')[0].appendChild(script);
	}
	obj.isHttps = function(){
		var ishttps = 'https:' == document.location.protocol ? true : false;
		return ishttps;
	}
	obj.TDGA = function(info){
	    
		if(typeof info.obj == 'undefined' || !obj.moduleObj){
			return obj.errMsg('obj not exists');
		}
		switch(info.actionName){
			case 'onPageLeave':
				obj.moduleObj.onPageLeave();
			    break;
			case 'Account':
				if(!info.obj.accountId){
					info.obj.accountId = obj.moduleObj.getDeviceId();
				}
				obj.moduleObj.Account(info.obj);
				break;
			case 'setAccountName':
				obj.moduleObj.Account.setAccountName(info.obj.accountName);
				break;
			case 'setAccountType':
				obj.moduleObj.Account.setAccountType(info.obj.accountType);
				break;
			case 'setLevel':
				obj.moduleObj.Account.setLevel(info.obj.level);
				break;
			case 'setGender':
				obj.moduleObj.Account.setGender(info.obj.gender);
				break;
			case 'setAge':
				obj.moduleObj.Account.setAge(info.obj.age);
				break;
			case 'setGameServer':
				obj.moduleObj.Account.setGameServer(info.obj.gameServe);
				break;
			case 'getDeviceId':
				return obj.moduleObj.getDeviceId();
			case 'onChargeRequest':
				obj.moduleObj.onChargeRequest(info.obj);
				break;
			case 'onChargeSuccess':
				obj.moduleObj.onChargeSuccess(info.obj);
				break;
			case 'onReward':
				obj.moduleObj.onReward(info.obj.virtualCurrencyAmount,info.obj.reason);
				break;
			case 'onItemPurchase':
				obj.moduleObj.onItemPurchase(info.obj);
				break;
			case 'onItemUse':
				obj.moduleObj.onItemUse(info.obj);
				break;
			case 'onMissionBegin':
				obj.moduleObj.onMissionBegin(info.obj.missionId);
				break;
			case 'onMissionCompleted':
				obj.moduleObj.onMissionCompleted(info.obj.missionId);
				break;
			case 'onMissionFailed':
				obj.moduleObj.onMissionFailed(info.obj.missionId,info.obj.cause);
				break;
			default:
				var userOS = obj.operatingSystem();
				if(!info.obj.OS && userOS){
					info.obj.OS = userOS;
				}
				obj.moduleObj.onEvent(info.actionName,info.obj);
		}
	}
	obj.errMsg = function(message){
		console.info('reportGameJs error: ' + message);
	}
	obj.operatingSystem = function(){
		var sUserAgent = window.navigator.userAgent; 
		if(sUserAgent.indexOf("Windows") != -1) return 'Windows';
		if(sUserAgent.indexOf("Android") != -1) return 'Android';
		if(sUserAgent.indexOf("iPhone") != -1) return 'iPhone';
		if(sUserAgent.indexOf("SymbianOS") != -1) return 'SymbianOS';
		if(sUserAgent.indexOf("iPad") != -1) return 'iPad';
		if(sUserAgent.indexOf("iPod") != -1) return 'iPod';
		var isMac = (navigator.platform == "Mac68K") || (navigator.platform == "MacPPC") || (navigator.platform == "Macintosh") || (navigator.platform == "MacIntel"); 
		if (isMac) return "Mac"; 
		var isWin = (navigator.platform == "Win32") || (navigator.platform == "Windows"); 
		var isUnix = (navigator.platform == "X11") && !isWin && !isMac; 
		if (isUnix) return "Unix"; 
		var isLinux = (String(navigator.platform).indexOf("Linux") > -1); 
		if (isLinux) return "Linux"; 
		return false; 
	}
	obj.closeGgameData = function(moduleName,moduleData){
		window.closeGgameData = {
			moduleName:moduleName,
			moduleData:moduleData,
		};
	}
	return obj;
}

window.onbeforeunload=function(e){
　　if(window.closeGgameData){
		var closeGgameData = window.closeGgameData;
		switch(closeGgameData.moduleName){
			case 'TDGA':
				closeGgameData.moduleData.onPageLeave();
				break;
			default:
		}
	}
} 